clear
   
R=6378000; %[m] earth radius
P=80;
r=[1:P]'/P*R;
 
T_0 = 200;  % [K]    temperature of the surrounding
T_1 = 10000; % [K]   initial temperature
DeltaT = T_1 - T_0;

D=2e-5; %[m^2/s] thermal difusivity
N=1000;

dt=0.5e16;
M=80;
t=[0:(M-1)]*dt;

  u = T_0 * ones(P,M);
  for n=1:N
    u = u + (-1)^(n+1)* 2*DeltaT/(n*pi)*(sin(n*pi*r/R)*R ./r)*exp(-D*n^2*pi^2*t/R^2);
  endfor
  
mesh(r*ones(1,M),ones(P,1)*t,u)
view(160,39)